Bug 32951 - uvmm daemon unjoin script fails in a s4 environment
uvmm daemon unjoin script fails in a s4 environment
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Felix Botner
Philipp Hahn
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 14:41 CEST by Felix Botner
Modified: 2013-11-19 06:42 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2013-10-22 14:41:51 CEST
56univention-virtual-machine-manager-daemon.uinst:
 ...
 ldapdelete -ZZ -h "$ldap_master"
 ...

The ldapdelete command has to use the proper ldap port otherwise it fails in a samba4 env.
Comment 1 Felix Botner univentionstaff 2013-10-22 14:58:40 CEST
added 

    master="$(ucr get ldap/master)"
    port="$(ucr get ldap/master/port)"
    [ -z "$port" ] && port=7389
    ldapuri="ldap://$master:$port"

    ldapdelete ... -H "$ldapuri" ...

to 56univention-virtual-machine-manager-daemon.uinst

a changelog entry is not necessary
Comment 2 Philipp Hahn univentionstaff 2013-10-28 23:42:40 CET
OK: ChangeLog
OK: r45435
FYI: Please fix your editor to not add trailing blanks.
OK: univention-virtual-machine-manager-daemon_3.0.14-1.477.201310231728
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:42:47 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".